Index: nb
===================================================================
RCS file: /cvsroot/nanoblogger/nanoblogger/nb,v
retrieving revision 1.279
diff -u -3 -p -r1.279 nb
--- nb	6 Aug 2006 01:37:20 -0000	1.279
+++ nb	30 Aug 2006 16:16:41 -0000
@@ -382,6 +382,9 @@ if [ ! -z "${CAT_LIST[*]}" ]; then
 			load_plugins archive/category
 			paginate all "$cat_arch" "$MAX_CATPAGE_ENTRIES" "$CATEGORY_TEMPLATE" \
 				"$CATENTRY_TEMPLATE" "$BLOG_DIR/$ARCHIVES_DIR/" "$category_file"
+            # Nijel: generate simple listing
+			paginate all "$cat_arch" "$MAX_CATPAGE_INC_ENTRIES" "$CATEGORY_INC_TEMPLATE" \
+				"$CATENTRY_INC_TEMPLATE" "$BLOG_DIR/$ARCHIVES_DIR/" "$category_inc_file"
 		fi
 	done
 fi
Index: nb.conf
===================================================================
RCS file: /cvsroot/nanoblogger/nanoblogger/nb.conf,v
retrieving revision 1.12
diff -u -3 -p -r1.12 nb.conf
--- nb.conf	30 Jul 2006 04:11:15 -0000	1.12
+++ nb.conf	30 Aug 2006 16:16:41 -0000
@@ -26,3 +26,5 @@ PERMALINKENTRY_TEMPLATE="permalink_entry
 METADATAFILE_TEMPLATE="file.metadata"
 METADATAENTRY_TEMPLATE="entry.metadata"
 
+CATENTRY_INC_TEMPLATE="category_inc_entry.htm"
+CATEGORY_INC_TEMPLATE="category_inc_archive.htm"
Index: lib/config.sh
===================================================================
RCS file: /cvsroot/nanoblogger/nanoblogger/lib/config.sh,v
retrieving revision 1.29
diff -u -3 -p -r1.29 config.sh
--- lib/config.sh	31 Jul 2006 22:32:29 -0000	1.29
+++ lib/config.sh	30 Aug 2006 16:16:42 -0000
@@ -19,12 +19,12 @@ load_globals(){
 : ${NB_LANG:=en}
 }
 
-# loads global and user configurations
+# loads global and user configurations 
 load_config(){
 # set deprecated BASE_DIR for temporary compatibility
 BASE_DIR="$NB_BASE_DIR"
 load_globals
-# allow user specified weblog directories 
+# allow user specified weblog directories
 [ ! -z "$USR_BLOGDIR" ] && BLOG_DIR="$USR_BLOGDIR"
 # auto-detect blog.conf from our CWD
 [ -z "$USR_BLOGDIR" ] && [ -f "$PWD/blog.conf" ] &&
@@ -127,10 +127,12 @@ fi
 : ${MAX_ENTRIES:=10}
 : ${MAX_PAGE_ENTRIES:=$MAX_ENTRIES}
 : ${MAX_CATPAGE_ENTRIES:=$MAX_PAGE_ENTRIES}
+: ${MAX_CATPAGE_INC_ENTRIES:=$MAX_PAGE_ENTRIES}
 : ${MAX_MONTHPAGE_ENTRIES:=$MAX_PAGE_ENTRIES}
 : ${MAX_MAINPAGE_ENTRIES:=$MAX_PAGE_ENTRIES}
 # defaults for index file name
 : ${NB_INDEXFILE:=index.$NB_FILETYPE}
+: ${NB_INC_INDEXFILE:=index-include.$NB_FILETYPE}
 # check if we need to append directory index file to links
 if [ "$SHOW_INDEXFILE" = 1 ]; then
 	NB_INDEX=$NB_INDEXFILE
--- /dev/null	2006-08-14 10:52:24.904056500 +0200
+++ default/templates/category_inc_entry.htm	2006-05-29 13:59:04.000000000 +0200
@@ -0,0 +1 @@
+  <li><a class="link" href="$BLOG_URL/$ARCHIVES_DIR/$NB_EntryPermalink">$NB_EntryTitle</a> <div class="blogdate">$NB_EntryDate</div></li>
--- /dev/null	2006-08-14 10:52:24.904056500 +0200
+++ default/templates/category_inc_archive.htm	2006-05-29 13:59:04.000000000 +0200
@@ -0,0 +1,50 @@
+<?xml version="1.0" encoding="$BLOG_CHARSET"?>
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
+<head>
+<meta http-equiv="Content-Type" content="$BLOG_MIMETYPE; charset=$BLOG_CHARSET" />
+
+<title>$NB_ArchiveTitle $template_archives | $BLOG_TITLE</title>
+
+<link rel="stylesheet" href="${BASE_URL}$BLOG_CSS" type="text/css" media="all" />
+<link rel="stylesheet" href="${BASE_URL}styles/print.css" type="text/css" media="print" />
+<link rel="shortcut icon" href="${BASE_URL}$BLOG_ICON" />
+<script language="javascript" type="text/javascript" src="/js/awstats_misc_tracker.js"></script>
+$NB_AtomAltLink
+$NB_RSS2AltLink
+$NB_RSSAltLink
+</head>
+
+<body>
+
+<div id="container" class="clearfix">
+	<div id="header" class="clearfix">
+		<h1><a href="${BASE_URL}$NB_INDEX" accesskey="1">$BLOG_TITLE</a></h1>
+		<span class="description">$BLOG_DESCRIPTION</span>
+	</div>
+	<div id="altcontent">
+		<a id="top"></a>
+		<h2>$NB_ArchiveTitle $template_archives</h2>
+		<div id="menu">
+			<a href="${BASE_URL}$NB_INDEX">$template_main</a> &#62;
+			<a href="${BASE_URL}$ARCHIVES_DIR/$NB_INDEX">$template_archives</a> &#62;
+			<br />
+			$NB_ArchiveTitle
+		</div>
+		<div class="archives">
+			$NB_MetaBody
+		</div>
+		<ul class="menu">
+			$NB_PageLinks
+		</ul>
+	</div>
+</div>
+<div id="footer" style="clear:both;">
+	<div class="menu">
+		<a href="#top">$NB_TopPage</a><br />
+	</div>
+</div>
+
+</body>
+</html>
+
